Bug 9304 - remove unused sessionid.tdb and connections.tdb related code
remove unused sessionid.tdb and connections.tdb related code
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc3
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 14:04 UTC by Stefan Metzmacher
Modified: 2012-10-29 11:41 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-0-test (126.49 KB, patch)
2012-10-23 10:50 UTC, Stefan Metzmacher
no flags Details
Patches for v4-0-test (131.20 KB, patch)
2012-10-23 10:55 UTC, Stefan Metzmacher
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-10-18 14:04:52 UTC
Now that the information about sessions and tcons is
stored in smbXsrv_session_global.tdb and smbXsrv_tcon_global.tdb.

Instead of keeping sessionid.tdb and connections.tdb just to make
smbstatus (and related tools) happy we should remove them
and get the information out of the new databases.
Comment 1 Stefan Metzmacher 2012-10-23 10:50:52 UTC
Created attachment 8099 [details]
Patches for v4-0-test
Comment 2 Stefan Metzmacher 2012-10-23 10:55:34 UTC
Created attachment 8100 [details]
Patches for v4-0-test

With cherry-pick information...
Comment 3 Michael Adam 2012-10-23 11:34:31 UTC
ACK.
Assigning to Karolin for inclusion into 4.0
Comment 4 Karolin Seeger 2012-10-29 10:32:56 UTC
Patch does not apply on current v4-0-test branch (e7f359a57b07d42533dc1cf525d9de442a1507c8).

Re-assignning to Metze.
Comment 5 Stefan Metzmacher 2012-10-29 11:34:15 UTC
(In reply to comment #4)
> Patch does not apply on current v4-0-test branch
> (e7f359a57b07d42533dc1cf525d9de442a1507c8).
> 
> Re-assignning to Metze.

I think f480b44430520f998fea867aa4c2cf9e93cb8d51 is needed before you apply this patches. As this fixes a compiler warning in a file that's removed by my patchset,
it should a trivial to apply pick f480b44430520f998fea867aa4c2cf9e93cb8d51.
Comment 6 Karolin Seeger 2012-10-29 11:41:21 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Patch does not apply on current v4-0-test branch
> > (e7f359a57b07d42533dc1cf525d9de442a1507c8).
> > 
> > Re-assignning to Metze.
> 
> I think f480b44430520f998fea867aa4c2cf9e93cb8d51 is needed before you apply
> this patches. As this fixes a compiler warning in a file that's removed by my
> patchset,
> it should a trivial to apply pick f480b44430520f998fea867aa4c2cf9e93cb8d51.

ACK.
Comment 7 Karolin Seeger 2012-10-29 11:41:46 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!